## mic 2.0.7

=== Makefile ===
PYTHON ?= python
VERSION = $(shell sed -ne 's/__version__\s*=\s*"\(.*\)"/\1/p ' mic/__init__.py)
TAGVER = $(shell git describe --abbrev=0 --tags)

PKGNAME = mic

all: build

build:
	$(PYTHON) setup.py build

_archive: man
	git archive --format=tar --prefix=$(PKGNAME)-$(VER)/ $(TAG) | tar xpf -
	git show $(TAG) --oneline | head -1 > $(PKGNAME)-$(VER)/commit-id
	rm -rf $(PKGNAME)-$(VER)/tests
	tar zcpf $(PKGNAME)_$(VER).tar.gz $(PKGNAME)-$(VER)
	rm -rf $(PKGNAME)-$(VER)

dist: VER=$(VERSION)
dist: TAG='HEAD'
dist: _archive

release: VER=$(TAGVER)
release: TAG=$(TAGVER)
release: _archive

man:
	rst2man doc/man.rst > doc/mic.1

install: build
	$(PYTHON) setup.py install

develop: build
	$(PYTHON) setup.py develop

test:
	cd tests/ && $(PYTHON) suite.py

clean:
	rm -f *.tar.gz
	rm -f doc/mic.1
	rm -rf *.egg-info
	rm -rf build/ dist/

## mic 0.27.3

=== debian/changelog ===
mic (0.27.3) unstable; urgency=low
  * support vdfs and squashfs image creation
  * Show pkgid when install pkg error

 -- Jiankang Fan <jiankang.fan@samsung.com> Mon, 19 Dec 2016 15:00:00 +0800

mic (0.27.2) unstable; urgency=low
  * Add exclude-from-image option to exclude specific images 
  * Add subcommand option parameters(-v, -d, -i)

 -- SoonKyu Park <sk7.park@samsung.com>  Wed, 28 Sep 2016 15:00:00 +0800

mic (0.27.1) unstable; urgency=low
  * new distribution support: Ubuntu 16.04, Fedora 23
  * add raw image format support
  * bug fix:
    - Remove BmapCreate and Filemap source code from MIC (#DEVT-151)

 -- Jianzhong Fang <jz.fang@samsung.com>  Wed, 25 May 2016 15:00:00 +0800

mic (0.27) unstable; urgency=low
  * new distribution support: CentOS 7, Debian 8, Fedora 21, 
    Fedora 22, openSUSE 13.2
  * generate manifest file to describe image information
  * refactor archive and compress module
  * support sparse handle for tar command
  * replace system V with systemd on locale setting
  * add qcow2 image format support
  * add strict mode for package installing
  * enable ssl_verify option in config file
  * enhance checksums of outputs: md5sum, sha1sum, sha256sum  (#DEVT-224)
  * drop mic-native support (#DEVT-248)
  * update mount option
  * revert bind mount config file to instroot
  * drop liveusb, livecd and raw image formats support (#DEVT-243, #DEVT-263)
  * use argparse module to parse the cmd line (#DEVT-52)
  * bug fix:
    - fix logfile incomplete in release option
    - fix config file disappear in bootstrap
    - fix aarch64 bin_format
    - fix pylint
    - fix real path of device mapper causing initrd failure
    - fix qemu arm and arm64 issues
    - fix AttributeError in zypp backend
    - fix 'python-xml' depends used by cElements
    - fix xml requirements
    - fix logfile not in release of '--release' when creation failed
    - fix copyright missing issue
    - fix syslinux installation path issue in Arch Linux
    - fix priority option of ks file not apply (#DEVT-254)
    - fix need to check loop device after excute 'losetup --find'
    - fix check scriptlet error file on /tmp/.postscript/error/
    - fix broken tar archive

 -- Jianzhong Fang <jz.fang@samsung.com>  Mon, 28 Mar 2016 19:50:35 +0800

mic (0.24) unstable; urgency=low
   * enhance to handle password with special characters
   * change python-zypp require to python-zypp-tizen
   * add --repo comand option for local build
   * add --user and --password option for %repo directive of ks file
   * clean up some codes relevant to EULA agreement
   * add hostname showing in log
   * bug fix:
     - fix chroot failed by space in image not enough
     - fix obsolete packages incorrect handling
     - fix yum backend failed to cache packages
     - fix bare ip in no_proxy not working
     - fix repeated log showing with yum backend
     - fix loop device latency timing
     - fix zypp failed to download by changing 'cachedir'
     - fix 'mkfs' not working caused by mic-bootstrap install failed

 -- Gui Chen <gui.chen@intel.com>  Tue, 11 Mar 2014 17:25:35 +0800

mic (0.23-1) unstable; urgency=low
   * new distribution support: Ubuntu 13.10 and OpenSUSE 13.1
   * split requirements to subpackage 'mic-native' to reduce mic's dependencies
   * support arm64 architecture image creation in native mode
   * new option '--interactive'/'--non-interactive' to enable/disable interaction 
   * new option '--uuid' for 'part' in ks file to set filesystem uuid
   * export more variables related to installer framework for loop format
   * bug fix:
     - fix bootstrap handling if bootstrap package failed
     - fix 'mapper_device' key error
     - fix detailed error messages missing in mounting
     - fix version comparing issue of urlgrabber in Fedora

 -- Gui Chen <gui.chen@intel.com>  Fri, 12 Dec 2013 17:25:35 +0800

mic (0.22-1) unstable; urgency=low
   * use __version__ variable instead of VERSION file
   * refactor msger module to ulitize logging module
   * refine error class module
   * improve installation in virtualenv
   * add bash completion support
   * add zsh completion support
   * export mapper device related to installer framework
   * update BmapCreate to the latest version
   * bug fix:
     - fix customized plugin_dir not work in bootstrap
     - fix packing process exit on Ubuntu
     - fix loop device alloaction failed on openSUSE
     - fix incorrect number showing during installing
     - set owner of cacheidr/outdir to SUDO_USER
     - correct project url in setup.py
     - fix mic not work when mic.conf disappear

 -- Gui Chen <gui.chen@intel.com>  Thu, 24 Oct 2013 17:25:35 +0800

mic (0.21-1) unstable; urgency=low
  * new distribution support: Fedora 19
  * refactor chroot module to correct the logic
  * add an alias for installerfw - installerfw_plugins
  * remove fuser dependency to avoid some unmount issue
  * enable proxy setting with authentication
  * don't get proxy info from /etc/sysconfig/proxy ever
  * kill processes inside chroot after post script running
  * bug fix:
    - fix bootloader options omitted
    - raise when incorrectly set partition flags 'legacy_boot'
    - fix wrong file descriptor issue
    - fix some requires

 -- Gui Chen <gui.chen@intel.com>  Mon, 26 Aug 2013 17:25:35 +0800

mic (0.20-1) unstable; urgency=low
  * new distribution support: CentOS 6
  * drop image creation if checked packages not present in image
  * introduce 'installerfw' command in kickstart to customize configuration
  * improve output message of post scripts
  * bug fix:
    - fix rpm not support 'VCS' tag traceback

 -- Gui Chen <gui.chen@intel.com>  Mon, 01 Jul 2013 17:25:35 +0800

mic (0.19-1) unstable; urgency=low
  * new distribution support: Ubuntu 13.04 and openSUSE 12.3
  * introduce '--part-type' to handle GPT partition
  * copy bmap creation from bmap-tools
  * update some depends and fix depends issue
  * bug fix:
    - fix bug autologinuser always set


=== debian/control ===
Source: mic
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, python-support, python-docutils
Standards-Version: 3.8.0
Homepage: http://www.tizen.org

Package: mic
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
 rpm,
 python-rpm,
 python-urlgrabber,
 cpio,
 bzip2,
 gzip
Conflicts:
 mic2
Description: image creator for Linux distributions
  The tool mic is used to create and manipulate images for Linux distributions.
  It is composed of three subcommand\: create, convert, chroot. Subcommand create
  is used to create images with different types; subcommand convert is used to
  convert an image to a specified type; subcommand chroot is used to chroot into
  an image.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	python setup.py build
	make man

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	mkdir -p $(CURDIR)/debian/tmp/
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
	mkdir -p $(CURDIR)/debian/tmp/etc/zsh_completion.d
	install -m644 doc/mic.1 $(CURDIR)/debian/tmp/usr/share/man/man1
	install -m755 etc/bash_completion.d/mic.sh $(CURDIR)/debian/tmp/etc/bash_completion.d/
	install -m755 etc/zsh_completion.d/_mic $(CURDIR)/debian/tmp/etc/zsh_completion.d/_mic
	python setup.py install --root=$(CURDIR)/debian/tmp --prefix=/usr

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_pysupport
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mic 0.28.14

=== debian/changelog ===
mic (0.28.14) unstable; urgency=low
  * Encrypt user password with SHA512 instead of MD5.
  * Fix pylint error, reimport glob.

 -- Biao Wang <biao716.wang@samsung.com>  Fri, 14 May 2021 15:00:00 +0800

mic (0.28.13) unstable; urgency=low
  * Add new option for squashfs file system to support M1 feature.

 -- Biao Wang <biao716.wang@samsung.com>  Tue, 23 Mar 2021 15:00:00 +0800

mic (0.28.12) unstable; urgency=low
  * Support to create image with f2fs file system.
  * Fix the bug that no print last installed package.
  * Remove urlgrabber directory from mic.

 -- Biao Wang <biao716.wang@samsung.com>  Fri, 05 Feb 2021 15:00:00 +0800

mic (0.28.11) unstable; urgency=low
  * add dependece for yum directly.
  * fix run error issue for parser repomd.xml when here is group type.
  * Refine code, remove duplicated code
  * Separate qcow plugin scripts

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 05 Nov 2020 15:00:00 +0800

mic (0.28.10) unstable; urgency=low
  * Create btrfs images with the metadata single option.
  * Refine code with SAM tools check.

 -- Biao Wang <biao716.wang@samsung.com>  Tue, 21 Jul 2020 15:00:00 +0800

mic (0.28.9) unstable; urgency=low
  * increase max loop device number in mic.
  * fix build error with Typeerror.
  * Fix the bug that truncates existing inittab file.

 -- Yan Meng <yan11.meng@samsung.com>  Wed, 17 Jun 2020 15:00:00 +0800

mic (0.28.8) unstable; urgency=low
  * remove unnecessary /etc/fstab file.

 -- Yan Meng <yan11.meng@samsung.com>  Thu, 7 May 2020 15:00:00 +0800

mic (0.28.7) unstable; urgency=low
  * fix pylint errors for mic
  * add option for mic to skip set hosts when create
  * skip set hosts by mic when /etc/hosts exists

 -- Yan Meng <yan11.meng@samsung.com>  Mon, 17 Feb 2020 15:00:00 +0800

mic (0.28.6) unstable; urgency=low
  * new distribution support: Ubuntu 18.04.

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 15 Feb 2019 15:00:00 +0800

mic (0.28.5) unstable; urgency=low
  * Add %env section support.

 -- Jin Xiao <jin.xiao@samsung.com>  Wed, 31 Oct 2018 15:00:00 +0800

mic (0.28.4) unstable; urgency=low
  * add new option --fslabel in part section.

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 28 Sep 2018 15:00:00 +0800

mic (0.28.3) unstable; urgency=low
  * Revert "ext4 images are created with inode size 256 bytes".

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 14 Sep 2018 15:00:00 +0800

mic (0.28.2) unstable; urgency=low
  * remove tmp dir in runscript period.
  * ext4 images are created with inode size 256 bytes.
  * Add locale related environment varibale because language is not set to one specified in ks file.

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 03 Aug 2018 15:00:00 +0800

mic (0.28.1) unstable; urgency=low
  * Check exit status of vdfs image creation
  * Change the user and root passwd hash algorithm order to avoid user name same as root name.

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 11 May 2018 15:00:00 +0800

mic (0.28) unstable; urgency=low
  * Apply btrfs mount options "--fsoptions=compress"
  * In Tizen, losetup command support '-f' option, change '--find' to '-f'
  * Fix issue, set blocksize by parsing "-b [BLOCKSIZE]" from extoptions in ks file

 -- Jin Xiao <jin.xiao@samsung.com>  Fri, 13 April 2018 15:00:00 +0800

mic (0.27.9) unstable; urgency=low
  * Added ATTACHMENT_PATHS env and IMG_DIR_PATH env
  * Revert "call copy_attachment() after configure() and move attachment files"

 -- Xiaojuan Mao <xiaojuan.mao@samsung.com>  Fri, 23 Mar 2018 15:00:00 +0800

mic (0.27.8) unstable; urgency=low
  * Use SHA512 instead of MD5 to encrypt root password
  * Fix the bug that use local mic-bootstrap to run mic.
  * Support local mic-bootstrap rpm package to run mic.
  * Another method of install tpk.
  * The value of fstype is not cpio, an image is generated by cpio.
  * When increase rpm release number, user can use --local-pkgs-path to install local pkgs.
  * use the value of --pack-to option as filename to match all outputs
  * support both %runscript and %post-umount to perform scripts before packaging
  * support multiple mic execution at same time
  * add --use-mic-in-bootstrap option
  * Display all rpm debug messages with --rpm-debug
  * call copy_attachment() after configure() and move attachment files
  * Add init_expand option to partition
  * add no_shrink option to partition, fix parameter of disk.expand()
  * Setup environment to perform signing script
  * if post scripts fails, CreatorError is raised to catch script errors such as signing error
  * use registered qemu emulator filename if already registered.

 -- Xiaojuan Mao <xiaojuan.mao@samsung.com>  Fri, 26 Jan 2018 17:00:00 +0800

mic (0.27.7) unstable; urgency=low
  * Timezone setting change
  * Run certain script before creation of tar.gz image
  * Locally built mic-bootstrap using gbs cannot be used in mic
  * Add new option of tpk_install
  * Amend mic cr option of run_script
  * Add new option of --run_script
  * fix the bug that modify the order of generating image by cpio
  * Modify the order of generating image by cpio

 -- Yuhuan Yang <yuhuan.yang@samsung.com>  Fri, 15 Sep 2017 15:00:00 +0800

mic (0.27.6) unstable; urgency=low
  * Use cpio gzip in mic.
  * fix corrupted log messages in log file
  * change installed package name length from 20 to 50
  * print warning message for detecting rpm post script...
  * display all rpm debug messages in debug mode
  * display filesystem size of each images
  * add SIGTERM handler for exit gracefully
  * change tpk install error message format
  * print package name, before install
  * Modify the arguments that use cpio to generate image.
  * Solve mic hang issue, add timeout to show failure.
  * Solve issue:mic has error when env no_proxy is 165.xx.xxx...
  * Change the order of generating image by cpio.

 -- Xiaojuan Mao <xiaojuan.mao@samsung.com>  Fri, 30 Jun 2017 15:00:00 +0800

mic (0.27.5) unstable; urgency=low


## mic 0.28.16

=== debian/changelog ===
mic (0.28.16) unstable; urgency=low
  * Add postscripts-maxruntime option to set the max run time for post scripts.

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 10 Feb 2022 15:00:00 +0800

mic (0.28.15) unstable; urgency=low
  * Don't install recommended packages in mic.

 -- Biao Wang <biao716.wang@samsung.com>  Mon, 05 Jul 2021 15:00:00 +0800

## mic 0.28.19

=== debian/changelog ===
mic (0.28.19) unstable; urgency=low
  * Fix mic create image error with rpm 4.14 if %prepackages section exists in
    ks file.

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 13 Apr 2023 15:00:00 +0800

mic (0.28.18) unstable; urgency=low
  * Add support for RISC-V arch.

 -- Biao Wang <biao716.wang@samsung.com>  Thu, 12 Jan 2023 15:00:00 +0800

mic (0.28.17) unstable; urgency=low
  * Add --block-recommends option to allow not install recommended packages

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 10 Aug 2022 15:00:00 +0800

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: extra
 Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
-Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, python-support, python-docutils
+Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, dh-python, python-docutils
 Standards-Version: 3.8.0
 Homepage: http://www.tizen.org
 
@@ -14,7 +14,8 @@
  python-urlgrabber,
  cpio,
  bzip2,
- gzip
+ gzip,
+ yum
 Conflicts:
  mic2
 Description: image creator for Linux distributions

## mic 0.29.1

=== debian/changelog ===
mic (0.29.1) unstable; urgency=low
  * Support ubuntu 22.04 distro
  * Port code from python2.x to python3.x 

 -- Biao Wang <biao716.wang@samsung.com>  Wed, 01 Nov 2023 15:00:00 +0800

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: devel
 Priority: extra
 Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
-Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, dh-python, python-docutils
+Build-Depends: debhelper (>= 7.0.15), cdbs, python3, python3-requests, python3-all, python3-dev, dh-python, python3-docutils
 Standards-Version: 3.8.0
 Homepage: http://www.tizen.org
 
 Package: mic
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${python3:Depends},
  rpm,
- python-rpm,
- python-urlgrabber,
+ python3-rpm,
+ python3-py,
+ python3-pycurl,
+ python3-distro,
  cpio,
  bzip2,
  gzip,

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 --buildsystem=pybuild
build:
	make man
override_dh_auto_install:
	dh_auto_install
	# Installing package
	mkdir -p $(CURDIR)/debian/tmp/
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
	mkdir -p $(CURDIR)/debian/tmp/etc/zsh_completion.d
	install -m644 doc/mic.1 $(CURDIR)/debian/tmp/usr/share/man/man1
	install -m755 etc/bash_completion.d/mic.sh $(CURDIR)/debian/tmp/etc/bash_completion.d/
	install -m755 etc/zsh_completion.d/_mic $(CURDIR)/debian/tmp/etc/zsh_completion.d/_mic
	python3 setup.py install --root=$(CURDIR)/debian/tmp --prefix=/usr

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog
override_dh_auto_test:

## mic 0.29.6

=== debian/changelog ===
mic (0.29.6) unstable; urgency=low
  * Merge "Fix mic build error for btrfs and cpio fstype" into devel-py2
  * Fix mic build error for btrfs and cpio fstype
  * Add support erofs module load

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 21 Oct 2025 13:43:00 +0600

mic (0.29.5) unstable; urgency=low
  * Fix run error for erofs file system when erofs option have compress level
  * erofs - fix error in case of no erofsopts

 -- Jakir Hossain <jakir.h@samsung.com>  Mon, 15 Sep 2025 11:10:00 +0600

mic (0.29.4) unstable; urgency=low
  * Support the creation of erofs image during mic.

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 22 Jul 2025 12:55:00 +0600

mic (0.29.3) unstable; urgency=low
  * Fix the image failed to create by mic python2 version.

 -- Wanchao Xu <wanchao.xu@samsung.com>  Fri, 23 May 2025 12:00:00 +0800

mic (0.29.2) unstable; urgency=low
  * Enable mixed mode for formatting on Btrfs filesystems to support small devices
  * If arch is riscv64, pass the QEMU_RESERVED_VA environment variable to install_root
  * Add new section 'runscript_out_bootstrap' for kickstart to run script on host pc after image created.
  * fix mic create image error: Rpmdb checksum is invalid: dCDPT(pkg checksums)
    rebuild rpmdb before run intall package transaction.

 -- Saulin Tuhin <s.tuhin@samsung.com>  Wed, 26 Feb 2025 17:00:00 +0600

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: devel
 Priority: extra
 Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
-Build-Depends: debhelper (>= 7.0.15), cdbs, python3, python3-requests, python3-all, python3-dev, dh-python, python3-docutils
+Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, dh-python, python-docutils
 Standards-Version: 3.8.0
 Homepage: http://www.tizen.org
 
 Package: mic
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: ${misc:Depends}, ${python:Depends},
  rpm,
- python3-rpm,
- python3-py,
- python3-pycurl,
- python3-distro,
+ python-rpm,
+ python-urlgrabber,
+ file,
  cpio,
  bzip2,
  gzip,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	python setup.py build
	make man

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	mkdir -p $(CURDIR)/debian/tmp/
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
	mkdir -p $(CURDIR)/debian/tmp/etc/zsh_completion.d
	install -m644 doc/mic.1 $(CURDIR)/debian/tmp/usr/share/man/man1
	install -m755 etc/bash_completion.d/mic.sh $(CURDIR)/debian/tmp/etc/bash_completion.d/
	install -m755 etc/zsh_completion.d/_mic $(CURDIR)/debian/tmp/etc/zsh_completion.d/_mic
	python setup.py install --root=$(CURDIR)/debian/tmp --prefix=/usr

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mic 2.0.7

=== debian/changelog ===
mic (2.0.7) unstable; urgency=low
  * Merge "Fix mic build error for btrfs and cpio fstype" into devel
  * Fix mic build error for btrfs and cpio fstype
  * Add support erofs module load

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 21 Oct 2025 13:00:00 +0600

mic (2.0.6) unstable; urgency=low
  * Fix run error for erofs file system when erofs option have compress level
  * erofs - fix error in case of no erofsopts
  * Fix error on erofs image creation

 -- Jakir Hossain <jakir.h@samsung.com>  Mon, 15 Sep 2025 11:05:00 +0600

mic (2.0.5) unstable; urgency=low
  * Support the creation of erofs image during mic

 -- Jakir Hossain <jakir.h@samsung.com>  Tue, 22 Jul 2025 10:45:00 +0600

mic (2.0.4) unstable; urgency=low
  * Enable mixed mode for formatting on Btrfs filesystems to support small devices
  * If arch is riscv64, pass the QEMU_RESERVED_VA environment variable to install_root
  * load filesystem kernel module on host pc
  * Support zstd compression in mic to pack image

 -- Saulin Tuhin <s.tuhin@samsung.com>  Wed, 26 Feb 2025 15:00:00 +0800

mic (2.0.3) unstable; urgency=low
  * Fix build errors on Ubuntu 24.04
  * Add new section 'runscript_out_bootstrap' for kickstart to run script
    on host pc after image created.
  * Replace SafeConfigParser with ConfigParser which is dropped in
    python3.12
  * Replace setup module from distuils.core to setuptools
  * Ignore the pylint warning of raising-bad-type and
    unbalanced-tuple-unpacking in connection and grabber script
  * Fix mic create image error: Rpmdb checksum is invalid:
    dCDPT(pkg checksums)

 -- Xu Huayong <huayong.xu@samsung.com>  Mon, 22 Jul 2024 15:00:00 +0800

mic (2.0.2) unstable; urgency=low
  * Fix the issue that mic lost dependency file in docker
  * Fix the mic can't create image into specified folder which defined
    in default mic config
  * Add the error message while no qemu for mic chroot
  * Adjust the format of Notification

 -- Xu Huayong <huayong.xu@samsung.com>  Fri, 19 Apr 2024 15:00:00 +0800

mic (2.0.1) unstable; urgency=low
  * Support ubuntu 22.04 distro
  * Port code from python2.x to python3.x

 -- Biao Wang <biao716.wang@samsung.com>  Mon, 29 Jan 2024 15:00:00 +0800

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: devel
 Priority: extra
 Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
-Build-Depends: debhelper (>= 7.0.15), cdbs, python-dev, dh-python, python-docutils
+Build-Depends: debhelper (>= 7.0.15), cdbs, python3, python3-requests, python3-setuptools, python3-all, python3-dev, dh-python, python3-docutils
 Standards-Version: 3.8.0
 Homepage: http://www.tizen.org
 
 Package: mic
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: ${misc:Depends}, ${python3:Depends},
  rpm,
- python-rpm,
- python-urlgrabber,
+ python3-rpm,
+ python3-py,
+ python3-pycurl,
+ python3-distro,
  file,
  cpio,
  bzip2,

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 --buildsystem=pybuild

build:
	make man

override_dh_auto_install:
	dh_auto_install
	# Installing package
	mkdir -p $(CURDIR)/debian/tmp/
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	mkdir -p $(CURDIR)/debian/tmp/usr/share/man/man1
	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
	mkdir -p $(CURDIR)/debian/tmp/etc/zsh_completion.d
	install -m644 doc/mic.1 $(CURDIR)/debian/tmp/usr/share/man/man1
	install -m755 etc/bash_completion.d/mic.sh $(CURDIR)/debian/tmp/etc/bash_completion.d/
	install -m755 etc/zsh_completion.d/_mic $(CURDIR)/debian/tmp/etc/zsh_completion.d/_mic
	python3 setup.py install --root=$(CURDIR)/debian/tmp --prefix=/usr/local

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_auto_test:
